%define oname newmoon
%define oversion 27

%define xpidir http://relmirror.palemoon.org/langpacks/%{oversion}.x/

# Supported l10n language lists
%define langlist cs de el en_GB es_AR es_ES es_MX fr hu it ko nl pl pt_BR pt_PT ru sv_SE tr zh_CN

# Disabled myspell dicts, for any reason
%define disabled_dict_langlist ar da fi gl_ES hr is kn ro sk sl sr vi zh_TW

# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define langname_bg bg
%define langname_bg Bulgarian
%define language_cs cs
%define langname_cs Czech
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_es_MX es-MX
%define langname_es_MX Spanish (Mexico)
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_gl_ES gl-ES
%define langname_gl_ES Galician (Spain)
%define language_hr hr
%define langname_hr Croatian
%define language_hu hu
%define langname_hu Hungarian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_kn kn
%define langname_kn Kannada
%define language_ko ko
%define langname_ko Korean
%define language_nl nl
%define langname_nl Dutch
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_tr tr
%define langname_tr Turkish
%define language_vi vi
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %langlist; do echo "%%define with_dict_$lang 0"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%define with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Localizations for New Moon (virtual package)
Name:		%{oname}-l10n
Version:	27.9.4
Release:	1
License:	MPLv2.0
Group:		Networking/WWW
Url:		http://www.palemoon.org/langpacks.shtml
# l10n sources
Source0:	%{name}-%{oversion}.tar.bz2
# Language package template
Source1:	%{name}-template.in
Source10:	newmoon-brand.dtd
Source11:	newmoon-brand.properties
Source500:	%{name}.rpmlintrc
BuildRequires:	%{oname}-devel
BuildRequires:	zip
BuildArch:	noarch

%description
Localizations for New Moon web browser.

# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -qn %{name}-%{oversion}

%build

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}

mkdir -p %{buildroot}%{newmoon_extdir}/

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}
	# l10n
	mkdir ${language}
	mv ${language}.xpi ${language}/
	pushd ${language}
	unzip -q ${language}.xpi
	rm ${language}.xpi
	install -m 644 %{SOURCE10} browser/chrome/${language}/locale/branding/brand.dtd
	install -m 644 %{SOURCE11} browser/chrome/${language}/locale/branding/brand.properties
	zip -q -r ${language}.xpi *
	mv ${language}.xpi ../
	popd
	rm -rf ${language}
	install -m 644 ${language}.xpi %{buildroot}%{newmoon_extdir}/langpack-${language}@palemoon.org.xpi
done

%changelog
